API Reference
REST API Reference
This page provides a quick reference to the Content Catalog API endpoints. Use Ctrl/Cmd+F to search for endpoints by keyword.
Hubs
| Operation | Method + Endpoint |
|---|---|
| Get Hub | GET /v2/hubs/{hubId} |
User Groups
| Operation | Method + Endpoint |
|---|---|
| List User Groups | GET /v2/hubs/{hubId}/groups |
| Create User Group | POST /v2/hubs/{hubId}/groups |
| Get User Group | GET /v2/hubs/{hubId}/groups/{groupId} |
| Update User Group | PATCH /v2/hubs/{hubId}/groups/{groupId} |
| Delete User Group | DELETE /v2/hubs/{hubId}/groups/{groupId} |
User Group Users
| Operation | Method + Endpoint |
|---|---|
| List User Group Users | GET /v2/hubs/{hubId}/groups/{groupId}/users |
| Get User Group User | GET /v2/hubs/{hubId}/groups/{groupId}/users/{userId} |
| Create User Group User | POST /v2/hubs/{hubId}/groups/{groupId}/users |
| Delete User Group User | DELETE /v2/hubs/{hubId}/groups/{groupId}/users/{userId} |
Collections
| Operation | Method + Endpoint |
|---|---|
| List Collections | GET /v2/hubs/{hubId}/collections |
| Create Collection | POST /v2/hubs/{hubId}/collections |
| Get Collection | GET /v2/hubs/{hubId}/collections/{collectionId} |
| Update Collection | PATCH /v2/hubs/{hubId}/collections/{collectionId} |
| Delete Collection | DELETE /v2/hubs/{hubId}/collections/{collectionId} |
| Get Collection Download URL | POST /v2/hubs/{hubId}/collections/{collectionId}:get-download-url |
Delete Collection also supports an optional ?type=PREVIEW_IMAGE query parameter to remove only the collection thumbnail (hub administrator).
Content
| Operation | Method + Endpoint |
|---|---|
| List Content | GET /v2/hubs/{hubId}/contents |
| Get Content | GET /v2/hubs/{hubId}/contents/{contentId} |
| Update Content | PATCH /v2/hubs/{hubId}/contents/{contentId} |
| Delete Content | DELETE /v2/hubs/{hubId}/contents/{contentId} |
Revisions
| Operation | Method + Endpoint |
|---|---|
| List Revisions | GET /v2/hubs/{hubId}/contents/{contentId}/revisions |
| Get Revision | GET /v2/hubs/{hubId}/contents/{contentId}/revisions/{revisionId} |
Representations
| Operation | Method + Endpoint |
|---|---|
| List Representations | GET /v2/hubs/{hubId}/contents/{contentId}/revisions/{revisionId}/representations |
| Get Representation | GET /v2/hubs/{hubId}/contents/{contentId}/revisions/{revisionId}/representations/{representationId} |
| Get Download URL | POST /v2/hubs/{hubId}/contents/{contentId}/revisions/{revisionId}/representations/{representationId}:get-download-url |
Batch Download
| Operation | Method + Endpoint |
|---|---|
| Batch Download URLs | POST /v2/hubs/{hubId}/contents:batch-download-urls |
Content Upload Requests
| Operation | Method + Endpoint |
|---|---|
| List Content Upload Requests | GET /v2/hubs/{hubId}/content-upload-requests |
| Create Content Upload Requests | POST /v2/hubs/{hubId}/content-upload-requests:create |
| Get Content Upload Request | GET /v2/hubs/{hubId}/content-upload-requests/{contentUploadRequestId} |
| Get Content Upload Download URLs | POST /v2/hubs/{hubId}/content-upload-requests:get-download-url |
| Get Content Upload Upload URLs | POST /v2/hubs/{hubId}/content-upload-requests:get-upload-url |
| Patch Content Upload Requests | POST /v2/hubs/{hubId}/content-upload-requests:patch |
| Approve Content Upload Requests | POST /v2/hubs/{hubId}/content-upload-requests:approve |
| Cancel Content Upload Requests | POST /v2/hubs/{hubId}/content-upload-requests:cancel |
| Decline Content Upload Requests | POST /v2/hubs/{hubId}/content-upload-requests:decline |
Saved Search Groups
| Operation | Method + Endpoint |
|---|---|
| List Saved Search Groups | GET /v2/hubs/{hubId}/saved-search-groups |
| Create Saved Search Group | POST /v2/hubs/{hubId}/saved-search-groups |
| Get Saved Search Group | GET /v2/hubs/{hubId}/saved-search-groups/{savedSearchGroupId} |
| Update Saved Search Group | PATCH /v2/hubs/{hubId}/saved-search-groups/{savedSearchGroupId} |
| Delete Saved Search Group | DELETE /v2/hubs/{hubId}/saved-search-groups/{savedSearchGroupId} |
Saved Searches
| Operation | Method + Endpoint |
|---|---|
| List Saved Searches | GET /v2/hubs/{hubId}/saved-searches |
| Create Saved Search | POST /v2/hubs/{hubId}/saved-searches |
| Get Saved Search | GET /v2/hubs/{hubId}/saved-searches/{savedSearchId} |
| Update Saved Search | PATCH /v2/hubs/{hubId}/saved-searches/{savedSearchId} |
| Delete Saved Search | DELETE /v2/hubs/{hubId}/saved-searches/{savedSearchId} |